Main Page Groups Namespaces

# sigc::volatile_limit_reference<T_type, true> Class Template Reference

volatile_limit_reference object for a class that derives from trackable. More...

List of all members.

## Public Member Functions

| volatile_limit_reference (T_type& _A_target)
| Constructor.
const trackable& | visit () const
| Retrieve the entity to visit for visit_each().
volatile T_type& | invoke () const
| Retrieve the reference.

## Detailed Description

### template <class T_type>
class sigc::volatile_limit_reference< T_type, true >

volatile_limit_reference object for a class that derives from trackable.

- T_type The type of the reference.

## Member Function Documentation

template <class T_type>
volatile T_type& sigc::volatile_limit_reference<T_type, true>::invoke | ( |  | ) | const`[inline]`

Retrieve the reference.

This is always a reference to the derived instance.

Returns:
  The reference.

template <class T_type>
const trackable& sigc::volatile_limit_reference<T_type, true>::visit | ( |  | ) | const`[inline]`

Retrieve the entity to visit for visit_each().

Depending on the template specialization, this is either a derived reference, or sigc::trackable& if T_type derives from sigc::trackable.

Returns:
  The reference.

template <class T_type>
sigc::volatile_limit_reference<T_type, true>::volatile_limit_reference | ( | T_type& | _A_target | ) | `[inline]`

Constructor.

Parameters:

  | _A_target | The reference to limit.

The documentation for this class was generated from the following file:

- limit_reference.h